- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Public Member Functions | Related Functions
MapToFunctor< M > Class Template Reference
Map Adaptors

## Detailed Description

### template<typename M>
class lemon::MapToFunctor< M >

This class converts a map to an STL style (unary) functor. That is it provides an `operator()` to read its values.

For the sake of convenience it also works as a usual readable map, i.e. `operator[]` and the `Key` and `Value` typedefs also exist.

The simplest way of using this map is through the mapToFunctor() function.

See Also
  FunctorToMap

`#include <lemon/maps.h>`

Inheritance diagram for MapToFunctor< M >:
[legend]

## Public Types
typedef M::Key | Key
typedef M::Value | Value
Public Types inherited from MapBase< M::Key, M::Value >
typedef M::Key | Key
| The key type of the map.
typedef M::Value | Value
| The value type of the map. (The type of objects associated with the keys).

## Public Member Functions
| MapToFunctor (const M &m)
| Constructor.
Value | operator() (const Key &k) const
Value | operator[] (const Key &k) const

## Related Functions
(Note that these are not member functions.)
template<typename M >
MapToFunctor< M > | mapToFunctor (const M &m)
| Returns a `MapToFunctor` class. More...